import logger from '@/utils/logger';
import { BE_DOCUSEAL_REMOVE_TEMPLATE } from '@/utils/Url';

export default function handler(req, res) {
  if (req.method === 'DELETE') {
    const { templateId } = req.body;

    fetch(`${BE_DOCUSEAL_REMOVE_TEMPLATE}/${templateId}`, {
      method: 'DELETE',
      headers: {
        'X-Auth-Token': process.env.DOCUSEAL_API_KEY,
      },
    })
      .then((response) => {
        if (!response.ok) {
          return response.json().then((err) => {
            throw new Error(err.message);
          });
        }
        return response.json();
      })
      .then((data) => {
        logger.debug('Template removed successfully:', data);
        res.status(200).json(data);
      })
      .catch((error) => {
        logger.error('Error removing template:', error);
        res.status(500).json({ error: 'Internal Server Error' });
      });
  } else {
    res.setHeader('Allow', ['DELETE']);
    res.status(405).end(`Method ${req.method} Not Allowed`);
  }
}
